public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/lxml/
Date: Tue,  2 Nov 2021 22:59:19 +0000 (UTC)	[thread overview]
Message-ID: <1635893949.5fff0082743ecd13049cb14f170aa5d9dc887f28.mgorny@gentoo> (raw)

commit:     5fff0082743ecd13049cb14f170aa5d9dc887f28
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  2 20:47:54 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov  2 22:59:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fff0082

dev-python/lxml: Bump to 4.6.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lxml/Manifest          |  1 +
 dev-python/lxml/lxml-4.6.4.ebuild | 97 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index c59350fa14f..2beb210c3e8 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1 +1,2 @@
 DIST lxml-4.6.3.tar.gz 948931 BLAKE2B 373248827cb6bc0698b632ef60978adb2b8f7c37444fa1804567f08eb669018dc38fadf52422262fd96280e88c59578d244e4c5a1ed55609af55c010b3bf2b09 SHA512 50e42d6269dc45b4c0ab3285c49307f8bee87fcc4b9e0f531e1ee37bcf83c5938b7e361f906a3158fac8df89a79b932dd64a8839455e45f45f3a5f0ba73ff6a5
+DIST lxml-4.6.4.tar.gz 953275 BLAKE2B 7dae0fe0c92c937d823429b32ae952e501e193835892d40746aa35e48586df4e497865f246362ef10430cc9187cd54f98078b7edcc0fd9f421ac9d15994e7b2a SHA512 4e62b7c9ceec47f490136e86e9875aae3f3dccd0ee5e504f8128c62cdb111e00e64ee35678028438b87d32253fdeb8e1184d4017b56e06dfbc93cd0e8736101f

diff --git a/dev-python/lxml/lxml-4.6.4.ebuild b/dev-python/lxml/lxml-4.6.4.ebuild
new file mode 100644
index 00000000000..5669cfb3cd0
--- /dev/null
+++ b/dev-python/lxml/lxml-4.6.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1 optfeature toolchain-funcs
+
+DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
+HOMEPAGE="https://lxml.de/ https://pypi.org/project/lxml/ https://github.com/lxml/lxml"
+SRC_URI="https://github.com/lxml/lxml/archive/${P}.tar.gz"
+S=${WORKDIR}/lxml-${P}
+
+LICENSE="BSD ElementTree GPL-2 PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples +threads test"
+RESTRICT="!test? ( test )"
+
+# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
+RDEPEND="
+	>=dev-libs/libxml2-2.9.12-r2
+	>=dev-libs/libxslt-1.1.28"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	dev-python/cython[${PYTHON_USEDEP}]
+	doc? (
+		$(python_gen_any_dep '
+			dev-python/docutils[${PYTHON_USEDEP}]
+			dev-python/pygments[${PYTHON_USEDEP}]
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+		')
+	)
+	test? ( dev-python/cssselect[${PYTHON_USEDEP}] )
+	"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.6.0-tests-pypy.patch
+)
+
+python_check_deps() {
+	use doc || return 0
+	has_version "dev-python/docutils[${PYTHON_USEDEP}]" &&
+	has_version "dev-python/pygments[${PYTHON_USEDEP}]" &&
+	has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+	has_version "dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
+}
+
+python_prepare_all() {
+	# avoid replacing PYTHONPATH in tests.
+	sed -i -e '/sys\.path/d' test.py || die
+
+	# don't use some random SDK on Darwin
+	sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
+		setupinfo.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	tc-export PKG_CONFIG
+	distutils-r1_python_compile
+}
+
+python_compile_all() {
+	use doc && emake html
+}
+
+python_test() {
+	cp -r -l src/lxml/tests "${BUILD_DIR}"/lib/lxml/ || die
+	cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
+	ln -s "${S}"/doc "${BUILD_DIR}"/ || die
+
+	"${EPYTHON}" test.py -vv --all-levels -p || die "Test ${test} fails with ${EPYTHON}"
+}
+
+python_install_all() {
+	if use doc; then
+		local DOCS=( README.rst *.txt doc/*.txt )
+		local HTML_DOCS=( doc/html/. )
+	fi
+	if use examples; then
+		dodoc -r samples
+	fi
+
+	distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+	optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup4
+	optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
+}


             reply	other threads:[~2021-11-02 22:59 UTC|newest]

Thread overview: 334+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-02 22:59 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/lxml/ Arthur Zamarin
2024-09-14 12:12 Arthur Zamarin
2024-09-14 12:06 Arthur Zamarin
2024-09-14 12:06 Arthur Zamarin
2024-09-14 11:35 Arthur Zamarin
2024-09-14 11:31 Arthur Zamarin
2024-09-14 11:31 Arthur Zamarin
2024-07-02  3:56 Ionen Wolkens
2024-06-07 13:51 Arthur Zamarin
2024-06-06  1:58 Sam James
2024-06-06  1:58 Sam James
2024-06-05 19:59 Arthur Zamarin
2024-05-28 13:24 Sam James
2024-05-28 12:04 Michał Górny
2024-05-13 14:03 Michał Górny
2024-05-09 18:52 Michał Górny
2024-04-26 12:50 Sam James
2024-04-20 13:20 Sam James
2024-04-20 13:20 Sam James
2024-04-13 19:03 Arthur Zamarin
2024-04-13 18:45 Arthur Zamarin
2024-04-13 17:36 Sam James
2024-04-13 16:01 Arthur Zamarin
2024-04-13 16:01 Arthur Zamarin
2024-04-13 16:01 Arthur Zamarin
2024-04-03  6:02 Michał Górny
2024-04-01 10:26 Michał Górny
2024-03-29 20:09 Michał Górny
2024-03-29 15:28 Michał Górny
2024-03-27  3:37 Michał Górny
2024-03-26 20:17 Ionen Wolkens
2024-03-10 12:03 Arthur Zamarin
2024-03-10  9:16 Arthur Zamarin
2024-03-10  9:16 Arthur Zamarin
2024-02-14 16:48 Sam James
2024-01-06 11:54 Sam James
2024-01-06 11:07 Sam James
2024-01-06 10:27 Michał Górny
2024-01-06 10:08 Michał Górny
2024-01-06  9:54 Michał Górny
2024-01-06  9:50 Michał Górny
2024-01-06  9:50 Michał Górny
2024-01-06  6:31 Michał Górny
2023-12-30  5:00 Michał Górny
2023-12-20  8:29 Michał Górny
2023-11-19  6:34 Michał Górny
2023-11-16 16:22 Sam James
2023-11-11 20:17 Arthur Zamarin
2023-11-11 20:17 Arthur Zamarin
2023-11-11 20:02 Sam James
2023-11-11 20:02 Sam James
2023-11-11 19:22 Sam James
2023-11-11 19:21 Sam James
2023-11-11 19:21 Sam James
2023-10-24 19:50 Arthur Zamarin
2023-10-24 19:50 Arthur Zamarin
2023-10-08  4:48 Sam James
2023-10-06 14:49 Sam James
2023-10-03  1:51 Sam James
2023-10-03  1:51 Sam James
2023-09-28  4:21 Sam James
2023-09-21 20:11 Sam James
2023-08-26 17:24 Sam James
2023-07-26  3:11 Benda XU
2023-07-15  8:49 Arthur Zamarin
2023-07-13  9:54 Sam James
2023-05-24 19:03 Michał Górny
2023-05-04 16:17 Michał Górny
2023-01-14 17:25 Michał Górny
2023-01-14  8:07 Arthur Zamarin
2023-01-13 19:57 Sam James
2023-01-13 19:03 Arthur Zamarin
2023-01-13 19:03 Arthur Zamarin
2023-01-13 16:31 Arthur Zamarin
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2022-12-14 10:58 Michał Górny
2022-10-15  3:11 Sam James
2022-07-07 19:06 Michał Górny
2022-07-07 17:05 Arthur Zamarin
2022-07-06  6:40 Agostino Sarubbo
2022-07-06  6:39 Agostino Sarubbo
2022-07-06  6:39 Agostino Sarubbo
2022-07-06  6:39 Agostino Sarubbo
2022-07-06  6:38 Agostino Sarubbo
2022-07-06  6:38 Agostino Sarubbo
2022-07-06  6:38 Agostino Sarubbo
2022-07-03 10:52 Agostino Sarubbo
2022-07-03 10:50 Agostino Sarubbo
2022-07-03 10:50 Agostino Sarubbo
2022-07-03 10:49 Agostino Sarubbo
2022-07-03 10:48 Agostino Sarubbo
2022-07-03  8:49 Agostino Sarubbo
2022-07-03  8:48 Agostino Sarubbo
2022-07-02  4:47 Michał Górny
2022-06-03  6:44 Sam James
2022-06-01  5:06 Sam James
2022-05-31  7:19 Sam James
2022-05-11 11:47 Michał Górny
2022-04-29  7:59 WANG Xuerui
2022-03-26 18:05 Arthur Zamarin
2022-03-26 18:05 Arthur Zamarin
2022-03-26 17:52 Arthur Zamarin
2022-03-21  9:18 Jakov Smolić
2022-03-21  7:50 Agostino Sarubbo
2022-03-21  7:48 Agostino Sarubbo
2022-03-21  7:47 Agostino Sarubbo
2022-03-20 20:31 Arthur Zamarin
2022-03-20 18:34 Sam James
2022-03-20 18:34 Sam James
2022-02-23 10:34 Michał Górny
2022-02-17 19:03 Michał Górny
2022-01-14 12:49 Michał Górny
2022-01-14 11:26 Arthur Zamarin
2022-01-14 11:25 Arthur Zamarin
2022-01-13 23:06 Jakov Smolić
2022-01-13 23:06 Jakov Smolić
2022-01-13 18:54 Arthur Zamarin
2022-01-13 18:46 Arthur Zamarin
2022-01-13 18:40 Arthur Zamarin
2022-01-13 18:40 Arthur Zamarin
2021-12-14 10:21 Michał Górny
2021-12-13 15:33 Arthur Zamarin
2021-12-13 15:33 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-13  9:34 Arthur Zamarin
2021-12-11  8:00 Arthur Zamarin
2021-12-10  7:39 Agostino Sarubbo
2021-12-10  7:37 Agostino Sarubbo
2021-12-10  4:40 Sam James
2021-12-10  0:27 Sam James
2021-12-09 22:14 Arthur Zamarin
2021-12-09 21:53 Arthur Zamarin
2021-12-09 21:35 Arthur Zamarin
2021-10-29 14:13 David Seifert
2021-09-27  8:40 James Le Cuirot
2021-08-21 22:15 James Le Cuirot
2021-06-13  6:04 Sam James
2021-06-13  6:04 Sam James
2021-06-03 16:34 Sam James
2021-06-03 15:52 Sergei Trofimovich
2021-06-03  0:43 Sam James
2021-06-01  0:46 Sam James
2021-05-31 17:43 Sergei Trofimovich
2021-05-31 11:40 Sam James
2021-05-28  3:23 Sam James
2021-05-20  1:46 Sam James
2021-05-18 12:51 Michał Górny
2021-05-18 12:51 Michał Górny
2021-05-18 12:51 Michał Górny
2021-03-27 16:04 Sam James
2021-03-26 11:50 Agostino Sarubbo
2021-03-26  0:22 Sam James
2021-03-25 23:20 Sam James
2021-03-25 23:20 Sam James
2021-03-25 23:13 Sam James
2021-03-25 18:12 Agostino Sarubbo
2021-03-24 21:12 Sergei Trofimovich
2021-03-24 19:42 Sam James
2021-03-21 20:07 Michał Górny
2021-02-06 22:34 Sam James
2021-01-05 21:27 Michał Górny
2021-01-05 20:51 Sam James
2021-01-03 12:10 Sergei Trofimovich
2021-01-03 11:51 Sergei Trofimovich
2021-01-03  9:14 Sam James
2020-12-29 22:28 Sam James
2020-12-29 19:50 Sergei Trofimovich
2020-12-29  9:47 Sam James
2020-12-28  8:18 Sam James
2020-12-27 18:36 Sam James
2020-12-27  9:16 Michał Górny
2020-12-15 20:22 Michał Górny
2020-12-12 21:25 Sergei Trofimovich
2020-12-02 22:58 Sam James
2020-12-02 10:23 Sam James
2020-11-29  8:24 Agostino Sarubbo
2020-11-29  8:22 Agostino Sarubbo
2020-11-29  8:20 Agostino Sarubbo
2020-11-29  8:16 Agostino Sarubbo
2020-11-29  0:13 Sergei Trofimovich
2020-11-27 16:49 Thomas Deutschmann
2020-11-27  9:20 Michał Górny
2020-11-27  8:07 Agostino Sarubbo
2020-11-26 23:04 Sergei Trofimovich
2020-11-26 22:59 Sergei Trofimovich
2020-11-26 10:48 Sam James
2020-11-26  8:24 Sam James
2020-11-26  8:14 Sam James
2020-11-26  6:56 Agostino Sarubbo
2020-11-25 23:09 Thomas Deutschmann
2020-11-25 22:38 Sergei Trofimovich
2020-10-19  6:37 Michał Górny
2020-09-26 16:21 Michał Górny
2020-09-18 15:19 Michał Górny
2020-09-03 23:57 Sam James
2020-09-02 21:03 Sergei Trofimovich
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:31 Agostino Sarubbo
2020-08-21 15:30 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:03 Sam James
2020-07-17 10:42 Sam James
2020-07-11  7:04 Michał Górny
2020-07-09 12:20 Michał Górny
2020-07-09  8:41 Agostino Sarubbo
2020-07-09  8:34 Agostino Sarubbo
2020-05-20  7:18 Michał Górny
2020-05-04 11:21 Michał Górny
2020-04-14  7:28 Sergei Trofimovich
2020-04-12  8:18 Mart Raudsepp
2020-03-08 10:48 Agostino Sarubbo
2020-03-08 10:47 Agostino Sarubbo
2020-03-08 10:46 Agostino Sarubbo
2020-03-08 10:42 Agostino Sarubbo
2020-03-08 10:37 Agostino Sarubbo
2020-03-08 10:25 Agostino Sarubbo
2020-03-08 10:23 Agostino Sarubbo
2020-03-08  9:56 Agostino Sarubbo
2020-03-07 15:45 Michał Górny
2020-03-07 15:11 Michał Górny
2020-02-13 14:40 Agostino Sarubbo
2020-02-06  7:51 Sergei Trofimovich
2020-01-30 12:55 Agostino Sarubbo
2020-01-30 12:11 Agostino Sarubbo
2020-01-30 11:06 Agostino Sarubbo
2020-01-30 11:05 Agostino Sarubbo
2020-01-30 11:00 Agostino Sarubbo
2020-01-30 10:17 Agostino Sarubbo
2020-01-29 15:01 Michał Górny
2020-01-29 10:17 Agostino Sarubbo
2020-01-29  8:12 Michał Górny
2020-01-29  7:23 Michał Górny
2019-11-23 15:38 Michał Górny
2019-11-23 14:34 Michał Górny
2019-11-20 13:00 Michał Górny
2019-11-20 13:00 Michał Górny
2019-08-12 13:21 Michał Górny
2019-08-07 15:41 Michał Górny
2019-07-14  0:52 Tim Harder
2019-05-11 19:25 Matthew Thode
2019-05-04 19:20 Andreas K. Hüttel
2019-04-06 21:47 Virgil Dupras
2019-03-01 16:37 Virgil Dupras
2019-03-01 16:37 Virgil Dupras
2019-02-10  8:44 Tim Harder
2019-01-07 20:44 Virgil Dupras
2019-01-06 12:45 Mart Raudsepp
2019-01-05 14:19 Virgil Dupras
2019-01-04 22:41 Mikle Kolyada
2019-01-02 12:18 Markus Meier
2018-12-22 18:16 Matt Turner
2018-12-15 22:39 Sergei Trofimovich
2018-12-13 15:31 Mikle Kolyada
2018-12-13 12:48 Thomas Deutschmann
2018-12-12 19:51 Sergei Trofimovich
2018-12-11 23:32 Sergei Trofimovich
2018-12-11 23:27 Sergei Trofimovich
2018-12-11 23:24 Sergei Trofimovich
2018-09-15 18:51 Virgil Dupras
2018-09-15 18:51 Virgil Dupras
2018-07-19 15:31 Fabian Groffen
2018-07-17  8:32 Michał Górny
2018-07-17  8:02 Michał Górny
2018-07-10 21:47 Michał Górny
2018-06-26  3:39 Tim Harder
2018-06-03 10:34 Mikle Kolyada
2018-03-21 14:32 Michał Górny
2018-03-21 14:32 Michał Górny
2018-01-05  9:36 Michał Górny
2017-11-06 16:51 Tim Harder
2017-10-17  0:35 Tim Harder
2017-10-17  0:35 Tim Harder
2017-09-18  2:34 Tim Harder
2017-06-23 12:21 Manuel Rüger
2017-06-23 12:19 Manuel Rüger
2017-06-15 18:19 Markus Meier
2017-05-22 16:48 Tobias Klausmann
2017-05-22 11:40 Agostino Sarubbo
2017-05-19 21:44 Michael Weber
2017-05-19 13:37 Michael Weber
2017-05-06 11:13 Jeroen Roovers
2017-05-03  6:15 Michał Górny
2017-03-26  4:16 Matt Thode
2017-03-09 15:54 Michael Haubenwallner
2017-02-24 10:35 Lars Wendler
2017-02-24 10:35 Lars Wendler
2017-02-12 22:39 Zac Medico
2017-01-23  6:19 Jeroen Roovers
2016-12-30 19:27 Lars Wendler
2016-12-24 10:25 Agostino Sarubbo
2016-12-22 22:46 Lars Wendler
2016-12-19 14:35 Agostino Sarubbo
2016-12-18 16:30 Agostino Sarubbo
2016-12-18 16:25 Agostino Sarubbo
2016-12-14  9:14 Tobias Klausmann
2016-11-12  4:29 Mike Frysinger
2016-10-15  9:52 Pacho Ramos
2016-10-14 21:30 David Seifert
2016-10-14 21:30 David Seifert
2016-10-14 21:30 David Seifert
2016-10-14 21:30 David Seifert
2016-10-14 21:30 David Seifert
2016-10-14 10:33 Agostino Sarubbo
2016-09-04 10:21 Tobias Klausmann
2016-09-01 11:22 Manuel Rüger
2016-08-14 19:24 Markus Meier
2016-08-13 11:33 Jeroen Roovers
2016-05-31  5:37 Jeroen Roovers
2016-05-27 12:44 Tobias Klausmann
2016-04-01 19:12 Markus Meier
2016-03-19 16:32 Agostino Sarubbo
2016-03-17 21:56 Dirkjan Ochtman
2016-03-17 20:50 Dirkjan Ochtman
2015-11-18 15:41 Justin Lecher
2015-11-18 15:41 Justin Lecher
2015-11-16 14:19 Agostino Sarubbo
2015-10-17 10:59 Markus Meier
2015-10-11 12:12 Mikle Kolyada
2015-10-06  9:12 Patrice Clement
2015-10-04  8:03 Jeroen Roovers
2015-10-01 13:17 Tobias Klausmann
2015-09-27  5:25 Jeroen Roovers
2015-09-25 14:13 Agostino Sarubbo
2015-09-25 10:42 Agostino Sarubbo
2015-09-25  7:59 Justin Lecher
2015-09-25  7:11 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635893949.5fff0082743ecd13049cb14f170aa5d9dc887f28.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox